: Class HTTPPrincipal

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.acl
Class HTTPPrincipal

    java.lang.Object
      |
      +--org.w3c.jigsaw.acl.HTTPPrincipal

Direct Known Subclasses:
  BasicAuthPrincipal, DigestAuthPrincipal

public class HTTPPrincipal
extends java.lang.Object
implements java.security.Principal

This class implements the most basic HTTP principal, allowing you to check the IP of the request only

Field Summary
`protected Request` | `request`

Constructor Summary
`HTTPPrincipal(Request request)`

Method Summary
`boolean` | `equals(java.lang.Object another)`
`protected java.net.InetAddress` | `getInetAddress()`
`java.lang.String` | `getName()`
`java.lang.String` | `getRealm()`
`protected Request` | `getRequest()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### request

    protected Request request

Constructor Detail

### HTTPPrincipal

    public HTTPPrincipal(Request request)

Method Detail

### getRequest

    protected Request getRequest()

### getInetAddress

    protected java.net.InetAddress getInetAddress()

### equals

    public boolean equals(java.lang.Object another)

  Specified by:
    equals in interface java.security.Principal
  Overrides:
    equals in class java.lang.Object

### getName

    public java.lang.String getName()

  Specified by:
    getName in interface java.security.Principal

### getRealm

    public java.lang.String getRealm()

### toString

    public java.lang.String toString()

  Specified by:
    toString in interface java.security.Principal
  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD